Summary: Library containing NIS functions using TI-RPC (IPv6 enabled)
Name: libnsl2
Version: 2.0.1
Release: r0
License: LGPL-2.1-only
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://github.com/thkukuk/libnsl
Source0: libnsl2-2.0.1-r0.tar.xz
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gettext-native
BuildRequires: libtirpc
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
This library contains the public client interface for NIS(YP) and NIS+
it was part of glibc and now is standalone packages. it also supports IPv6

%package -n libnsl-src
Summary: Library containing NIS functions using TI-RPC (IPv6 enabled) - Source files
License: LGPL-2.1-only
Group: devel
Provides: libnsl2-src = 2.0.1

%description -n libnsl-src
This library contains the public client interface for NIS(YP) and NIS+
it was part of glibc and now is standalone packages. it also supports IPv6
This package contains sources for debugging purposes.

%package -n libnsl-dbg
Summary: Library containing NIS functions using TI-RPC (IPv6 enabled) - Debugging files
License: LGPL-2.1-only
Group: devel
Recommends: glibc-dbg
Recommends: libtirpc-dbg
Provides: libnsl2-dbg = 2.0.1

%description -n libnsl-dbg
This library contains the public client interface for NIS(YP) and NIS+
it was part of glibc and now is standalone packages. it also supports IPv6
This package contains ELF symbols and related sources for debugging
purposes.

%package -n libnsl-staticdev
Summary: Library containing NIS functions using TI-RPC (IPv6 enabled) - Development files (Static Libraries)
License: LGPL-2.1-only
Group: devel
Requires: libnsl-dev = 2.0.1-r0
Provides: libnsl2-staticdev = 2.0.1

%description -n libnsl-staticdev
This library contains the public client interface for NIS(YP) and NIS+
it was part of glibc and now is standalone packages. it also supports IPv6
This package contains static libraries for software development.

%package -n libnsl-dev
Summary: Library containing NIS functions using TI-RPC (IPv6 enabled) - Development files
License: LGPL-2.1-only
Group: devel
Requires: libnsl2
Requires: libtirpc-dev
Recommends: glibc-dev
Recommends: libnsl3 = 2.0.1-r0
Recommends: libtirpc-dev
Provides: libnsl2-dev = 2.0.1

%description -n libnsl-dev
This library contains the public client interface for NIS(YP) and NIS+
it was part of glibc and now is standalone packages. it also supports IPv6
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n libnsl-doc
Summary: Library containing NIS functions using TI-RPC (IPv6 enabled) - Documentation files
License: LGPL-2.1-only
Group: doc
Provides: libnsl2-doc = 2.0.1

%description -n libnsl-doc
This library contains the public client interface for NIS(YP) and NIS+
it was part of glibc and now is standalone packages. it also supports IPv6
This package contains documentation.

%package -n libnsl-locale
Summary: Library containing NIS functions using TI-RPC (IPv6 enabled)
License: LGPL-2.1-only
Group: libs
Provides: libnsl2-locale = 2.0.1

%description -n libnsl-locale
This library contains the public client interface for NIS(YP) and NIS+
it was part of glibc and now is standalone packages. it also supports IPv6

%package -n libnsl3
Summary: Library containing NIS functions using TI-RPC (IPv6 enabled)
License: LGPL-2.1-only
Group: libs
Requires: ld-linux-x86-64.so.2()(64bit)
Requires: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libtirpc.so.3()(64bit)
Requires: libtirpc.so.3(TIRPC_0.3.0)(64bit)
Requires: libtirpc3 >= 1.3.6
Requires: rtld(GNU_HASH)
Requires(post): ld-linux-x86-64.so.2()(64bit)
Requires(post): ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libtirpc.so.3()(64bit)
Requires(post): libtirpc.so.3(TIRPC_0.3.0)(64bit)
Requires(post): libtirpc3 >= 1.3.6
Requires(post): rtld(GNU_HASH)
Provides: libnsl.so.3()(64bit)
Provides: libnsl.so.3(LIBNSL_2.0)(64bit)
Provides: libnsl2 = 2.0.1

%description -n libnsl3
This library contains the public client interface for NIS(YP) and NIS+
it was part of glibc and now is standalone packages. it also supports IPv6

%post -n libnsl3
# libnsl3 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libnsl-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libnsl2"
%attr(755,root,root) %dir "/usr/src/debug/libnsl2/2.0.1"
%attr(755,root,root) %dir "/usr/src/debug/libnsl2/2.0.1/src"
%attr(755,root,root) %dir "/usr/src/debug/libnsl2/2.0.1/src/rpcsvc"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/ypbinderr_string.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yp_match.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yp_master.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yp_order.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yp_get_default_domain.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/taddr2host.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/do_ypcall.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/taddr2ipstr.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yperr_string.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/taddr2port.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yp_next.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yp_maplist.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yp_first.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/yp_xdr.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/ypprot_err.c"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/internal.h"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/rpcsvc/ypclnt.h"
%attr(644,root,root) "/usr/src/debug/libnsl2/2.0.1/src/rpcsvc/yp_prot.h"

%files -n libnsl-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libnsl.so.3.0.0"

%files -n libnsl-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/include/rpcsvc"
%attr(644,root,root) "/usr/include/rpcsvc/yp.x"
%attr(644,root,root) "/usr/include/rpcsvc/yppasswd.h"
%attr(644,root,root) "/usr/include/rpcsvc/ypclnt.h"
%attr(644,root,root) "/usr/include/rpcsvc/yp.h"
%attr(644,root,root) "/usr/include/rpcsvc/yppasswd.x"
%attr(644,root,root) "/usr/include/rpcsvc/ypupd.h"
%attr(644,root,root) "/usr/include/rpcsvc/yp_prot.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libnsl.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libnsl.pc"

%files -n libnsl3
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libnsl.so.3"
%attr(755,root,root) "/usr/lib/libnsl.so.3.0.0"

%%prep
echo "include logs and patches, Please check them in SOURCES"

